# List cards

**GET** `/issuing/cards`

Retrieve a list of cards.

### Query Parameters

- `card_account_id` `string` — Filter cards by card account ID.
- `card_program_id` `string` — Filter cards by card program ID.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `statuses` `array of strings` — Filter cards by status.

**Request**

```shell
curl 'https://api.column.com/issuing/cards' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "cards": [
    {
      "authorized_user_entity_id": "enti_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "bin": "41234567",
      "card_account_id": "cacc_2x8gszy5folpA9s0TOCseE9ABDM",
      "card_authorization_policy_id": "caup_2x8gszy5folpA9s0TOCseE9ABDM",
      "card_program_id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
      "created_at": "2024-01-15T09:30:00Z",
      "deactivated_at": null,
      "deactivation_reason": null,
      "expiration_month": 12,
      "expiration_year": 2029,
      "first_activated_at": "2024-01-15T09:30:00Z",
      "id": "card_2x8gszy5folpA9s0TOCseE9ABDM",
      "inactive_reason": null,
      "last_active_at": "2024-01-15T09:30:00Z",
      "last_four_digits": "1234",
      "last_inactive_at": null,
      "last_paused_at": null,
      "manufacturing_details": {
        "manufacturing_status": "pending_order",
        "shipping_details": {
          "address": {
            "city": "San Francisco",
            "country_code": "US",
            "line_1": "101 Market St",
            "line_2": "Suite 1913",
            "postal_code": "94105",
            "state": "CA"
          },
          "name": "Oliver Hockey"
        }
      },
      "original_card_id": null,
      "platform_id": "plat_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "replacement_card_id": null,
      "replacement_reason": null,
      "sequence_number": 1,
      "status": "active",
      "type": "physical"
    }
  ],
  "has_more": false
}
```
